using System;
using System.Collections.Generic;
using System.Text;
using System.Text.Json.Serialization;

namespace GMCabsDriverAssistant.Models
{
    public class PlotResponseDto
    {
        [JsonPropertyName("ID")]
        public Guid ID { get; set; }

        [JsonPropertyName("ZoneID")]
        public Guid ZoneID { get; set; }

        [JsonPropertyName("Name")]
        public string Name { get; set; }

        [JsonPropertyName("Latitude")]
        public double? Latitude { get; set; }

        [JsonPropertyName("Longitude")]
        public double? Longitude { get; set; }

        [JsonPropertyName("Radius")]
        public decimal? Radius { get; set; }

        [JsonPropertyName("Available")]
        public bool Available { get; set; }

        [JsonPropertyName("Distance")]
        public int Distance { get; set; }

        [JsonPropertyName("PlotExpiryTime")]
        public int PlotExpiryTime { get; set; }

        [JsonPropertyName("DriverDistance")]
        public int? DriverDistance { get; set; }

        [JsonPropertyName("Position")]
        public int Position { get; set; }
        public string OtherAvailablePlotAreas
        {
            get
            {
                return (Distance>=1000)? Name + "(" + Distance/1000 +  "k)" : Name + "(" + Distance + "m)";
            }
        }
    }
}
